/*
 * Class SEQUENCE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_486 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_486 [] = {0xFF01,237,485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_2_486 [] = {0xFF01,485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_3_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_486 [] = {0xFF01,485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_6_486 [] = {0xFF01,485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_7_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_486 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_486 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_486 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_486 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_486 [] = {485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_13_486 [] = {0xFF01,485,188,0xFFFF};
static const EIF_TYPE_INDEX egt_14_486 [] = {0xFF01,474,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_486 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_486 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_486 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_486 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_486[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_486), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_486), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_486), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_486), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_486), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_486), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_486), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_486), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_486), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_486), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_486), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_486), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_486), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_486), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1876, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1877, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1878, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1879, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_486), 2349, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_486), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2339, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2341, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_486), 2342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_486), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2345, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2347, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2544, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2545, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2546, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_486), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2547, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2341, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2542, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2543, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init486(void)
{
	IDSC(desc_486, 0, 485);
	IDSC(desc_486 + 1, 1, 485);
	IDSC(desc_486 + 32, 77, 485);
	IDSC(desc_486 + 41, 155, 485);
	IDSC(desc_486 + 50, 30, 485);
	IDSC(desc_486 + 57, 282, 485);
	IDSC(desc_486 + 66, 243, 485);
	IDSC(desc_486 + 72, 229, 485);
	IDSC(desc_486 + 73, 294, 485);
	IDSC(desc_486 + 76, 237, 485);
	IDSC(desc_486 + 78, 50, 485);
	IDSC(desc_486 + 79, 35, 485);
}


#ifdef __cplusplus
}
#endif
